Skip to main content
GET
/
returns
List Returns
curl --request GET \
  --url https://api.usehandled.io/api/v1/ipaas/unified_cache/returns \
  --header 'Authorization: Bearer <token>'
{
  "result": [
    {
      "id": "<string>",
      "order_id": "<string>",
      "status": "<string>",
      "reason": "<string>",
      "line_items": [
        {
          "product_id": "<string>",
          "sku": "<string>",
          "quantity": 123,
          "reason": "<string>"
        }
      ],
      "tracking_number": "<string>",
      "carrier": "<string>",
      "refund_amount": 123,
      "currency": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "cached_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API token from your Handled dashboard

Query Parameters

integrated_account_id
string
required

The ID of the connected account to query

limit
integer
default:50

Maximum number of records to return (default: 50)

next_cursor
string

Pagination cursor from previous response

Response

Successful response

result
object[]
next_cursor
string | null